Request password reset
POST
/authenticate/userpass/reset
const url = 'https://api.colourbox.com/authenticate/userpass/reset';const options = { method: 'POST', headers: { Authorization: 'CBX-SIMPLE-TOKEN Token=<token>', 'Content-Type': 'application/json' }, body: '{"username":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.colourbox.com/authenticate/userpass/reset \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>' \ --header 'Content-Type: application/json' \ --data '{ "username": "example" }'The password reset functionality requires special permission to use. For more information on how to get access, feel free to contact our sales department at: sales@colourbox.com. Password reset can also be done through: www.skyfish.com
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
username
required
Username for which the new password should be set
string
Example generated
{ "username": "example"}Responses
Section titled “Responses”The Skyfish API always returns a 204 status code no matter whether the username is valid or not.